unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  LMDCustomComponent, LMDWndProcComponent, LMDTrayIcon, CPort, StdCtrls;

type
  TForm1 = class(TForm)
    cp: TComPort;
    ti: TLMDTrayIcon;
    procedure cpRxChar(Sender: TObject; Count: Integer);
    procedure tiDblClick(Sender: TObject);
    procedure tiClick(Sender: TObject);
    procedure cpAfterOpen(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure sendkey(Key : byte);
begin
  keybd_event(Key, 0, KEYEVENTF_EXTENDEDKEY, 0);
end;

procedure releasekey(Key : byte);
begin
  keybd_event(Key, 0, KEYEVENTF_EXTENDEDKEY OR KEYEVENTF_KEYUP, 0);
end;

Procedure PostKeyEx32( key: Word; Const shift: TShiftState; specialkey, k_up: Boolean);
var flag:DWORD;
begin
    If specialkey Then
      flag := KEYEVENTF_EXTENDEDKEY
    Else
      flag := 0;
    if k_up then flag := flag or KEYEVENTF_KEYUP;
    keybd_event( key, MapvirtualKey( key, 0 ), flag, 0 );
end;

procedure TForm1.cpRxChar(Sender: TObject; Count: Integer);
var s: string;
begin
  cp.ReadStr(s, count);
  if s[1]='2' then PostKeyEx32(VK_LEFT,[],true,false);
  if s[1]='1' then PostKeyEx32(VK_RIGHT,[],true,false);
  if s[1]='0' then begin PostKeyEx32(VK_LEFT,[],true,true);PostKeyEx32(VK_RIGHT,[],true,true); end;
end;

procedure TForm1.tiDblClick(Sender: TObject);
begin
  close;
end;

procedure TForm1.tiClick(Sender: TObject);
begin
  show;
end;

procedure TForm1.cpAfterOpen(Sender: TObject);
begin
  cp.SetDTR(true);
  cp.SetRTS(true);
end;

end.
